Package org.apache.qpid.proton.codec

# Interface Decoder

All Known Subinterfaces:
  `ByteBufferDecoder`

All Known Implementing Classes:
  `DecoderImpl`

public interface Decoder

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`Decoder.ListProcessor<T>`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`readArray()`
`<T> T[]`
`readArray(Class<T> clazz)`
`Binary`
`readBinary()`
`Binary`
`readBinary(Binary defaultValue)`
`Boolean`
`readBoolean()`
`boolean`
`readBoolean(boolean defaultVal)`
`Boolean`
`readBoolean(Boolean defaultVal)`
`boolean[]`
`readBooleanArray()`
`Byte`
`readByte()`
`byte`
`readByte(byte defaultVal)`
`Byte`
`readByte(Byte defaultVal)`
`byte[]`
`readByteArray()`
`byte[]`
`readByteMultiple()`
`Character`
`readCharacter()`
`char`
`readCharacter(char defaultVal)`
`Character`
`readCharacter(Character defaultVal)`
`char[]`
`readCharacterArray()`
`char[]`
`readCharacterMultiple()`
`Decimal128`
`readDecimal128()`
`Decimal128`
`readDecimal128(Decimal128 defaultValue)`
`Decimal32`
`readDecimal32()`
`Decimal32`
`readDecimal32(Decimal32 defaultValue)`
`Decimal64`
`readDecimal64()`
`Decimal64`
`readDecimal64(Decimal64 defaultValue)`
`Double`
`readDouble()`
`double`
`readDouble(double defaultVal)`
`Double`
`readDouble(Double defaultVal)`
`double[]`
`readDoubleArray()`
`double[]`
`readDoubleMultiple()`
`Float`
`readFloat()`
`float`
`readFloat(float defaultVal)`
`Float`
`readFloat(Float defaultVal)`
`float[]`
`readFloatArray()`
`float[]`
`readFloatMultiple()`
`Integer`
`readInteger()`
`int`
`readInteger(int defaultVal)`
`Integer`
`readInteger(Integer defaultVal)`
`int[]`
`readIntegerArray()`
`int[]`
`readIntegerMultiple()`
`List`
`readList()`
`<T> void`
`readList(Decoder.ListProcessor<T> processor)`
`Long`
`readLong()`
`long`
`readLong(long defaultVal)`
`Long`
`readLong(Long defaultVal)`
`long[]`
`readLongArray()`
`long[]`
`readLongMultiple()`
`Map`
`readMap()`
`Object[]`
`readMultiple()`
`<T> T[]`
`readMultiple(Class<T> clazz)`
`Object`
`readObject()`
`Object`
`readObject(Object defaultValue)`
`Short`
`readShort()`
`short`
`readShort(short defaultVal)`
`Short`
`readShort(Short defaultVal)`
`short[]`
`readShortArray()`
`short[]`
`readShortMultiple()`
`String`
`readString()`
`String`
`readString(String defaultValue)`
`Symbol`
`readSymbol()`
`Symbol`
`readSymbol(Symbol defaultValue)`
`Date`
`readTimestamp()`
`Date`
`readTimestamp(Date defaultValue)`
`UnsignedByte`
`readUnsignedByte()`
`UnsignedByte`
`readUnsignedByte(UnsignedByte defaultVal)`
`UnsignedInteger`
`readUnsignedInteger()`
`UnsignedInteger`
`readUnsignedInteger(UnsignedInteger defaultVal)`
`UnsignedLong`
`readUnsignedLong()`
`UnsignedLong`
`readUnsignedLong(UnsignedLong defaultVal)`
`UnsignedShort`
`readUnsignedShort()`
`UnsignedShort`
`readUnsignedShort(UnsignedShort defaultVal)`
`UUID`
`readUUID()`
`UUID`
`readUUID(UUID defaultValue)`
`void`
`register(Object descriptor, DescribedTypeConstructor dtc)`
`void`
`register(Object descriptor, FastPathDescribedTypeConstructor<?> dtc)`

## Method Details

### readBoolean

Boolean readBoolean()

### readBoolean

Boolean readBoolean(Boolean defaultVal)

### readBoolean

boolean readBoolean(boolean defaultVal)

### readByte

Byte readByte()

### readByte

Byte readByte(Byte defaultVal)

### readByte

byte readByte(byte defaultVal)

### readShort

Short readShort()

### readShort

Short readShort(Short defaultVal)

### readShort

short readShort(short defaultVal)

### readInteger

Integer readInteger()

### readInteger

Integer readInteger(Integer defaultVal)

### readInteger

int readInteger(int defaultVal)

### readLong

Long readLong()

### readLong

Long readLong(Long defaultVal)

### readLong

long readLong(long defaultVal)

### readUnsignedByte

UnsignedByte readUnsignedByte()

### readUnsignedByte

UnsignedByte readUnsignedByte(UnsignedByte defaultVal)

### readUnsignedShort

UnsignedShort readUnsignedShort()

### readUnsignedShort

UnsignedShort readUnsignedShort(UnsignedShort defaultVal)

### readUnsignedInteger

UnsignedInteger readUnsignedInteger()

### readUnsignedInteger

UnsignedInteger readUnsignedInteger(UnsignedInteger defaultVal)

### readUnsignedLong

UnsignedLong readUnsignedLong()

### readUnsignedLong

UnsignedLong readUnsignedLong(UnsignedLong defaultVal)

### readCharacter

Character readCharacter()

### readCharacter

Character readCharacter(Character defaultVal)

### readCharacter

char readCharacter(char defaultVal)

### readFloat

Float readFloat()

### readFloat

Float readFloat(Float defaultVal)

### readFloat

float readFloat(float defaultVal)

### readDouble

Double readDouble()

### readDouble

Double readDouble(Double defaultVal)

### readDouble

double readDouble(double defaultVal)

### readUUID

UUID readUUID()

### readUUID

UUID readUUID(UUID defaultValue)

### readDecimal32

Decimal32 readDecimal32()

### readDecimal32

Decimal32 readDecimal32(Decimal32 defaultValue)

### readDecimal64

Decimal64 readDecimal64()

### readDecimal64

Decimal64 readDecimal64(Decimal64 defaultValue)

### readDecimal128

Decimal128 readDecimal128()

### readDecimal128

Decimal128 readDecimal128(Decimal128 defaultValue)

### readTimestamp

Date readTimestamp()

### readTimestamp

Date readTimestamp(Date defaultValue)

### readBinary

Binary readBinary()

### readBinary

Binary readBinary(Binary defaultValue)

### readSymbol

Symbol readSymbol()

### readSymbol

Symbol readSymbol(Symbol defaultValue)

### readString

String readString()

### readString

String readString(String defaultValue)

### readList

List readList()

### readList

<T> void readList(Decoder.ListProcessor<T> processor)

### readMap

Map readMap()

### readArray

<T> T[] readArray(Class<T> clazz)

### readArray

Object[] readArray()

### readBooleanArray

boolean[] readBooleanArray()

### readByteArray

byte[] readByteArray()

### readShortArray

short[] readShortArray()

### readIntegerArray

int[] readIntegerArray()

### readLongArray

long[] readLongArray()

### readFloatArray

float[] readFloatArray()

### readDoubleArray

double[] readDoubleArray()

### readCharacterArray

char[] readCharacterArray()

### readMultiple

<T> T[] readMultiple(Class<T> clazz)

### readMultiple

Object[] readMultiple()

### readByteMultiple

byte[] readByteMultiple()

### readShortMultiple

short[] readShortMultiple()

### readIntegerMultiple

int[] readIntegerMultiple()

### readLongMultiple

long[] readLongMultiple()

### readFloatMultiple

float[] readFloatMultiple()

### readDoubleMultiple

double[] readDoubleMultiple()

### readCharacterMultiple

char[] readCharacterMultiple()

### readObject

Object readObject()

### readObject

Object readObject(Object defaultValue)

### register

void register(Object descriptor, DescribedTypeConstructor dtc)

### register

void register(Object descriptor, FastPathDescribedTypeConstructor<?> dtc)